InteroperabilityIFD (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.tiff
Class InteroperabilityIFD

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.tiff.IFD
          edu.harvard.hul.ois.jhove.module.tiff.InteroperabilityIFD

    public class InteroperabilityIFD

extends IFD

Encapsulation of an Exif Interoperability IFD (for Exif).

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.tiff.IFD
`_bigEndian, _info, _next, _offset, _version, ASCII, BYTE, DOUBLE, EXIF, FLOAT, GLOBALPARAMETERS, GPSINFO, IFD, INTEROPERABILITY, LONG, NULL, RATIONAL, SBYTE, SHORT, SLONG, SRATIONAL, SSHORT, TIFF, TYPE, UNDEFINED`

Constructor Summary
`InteroperabilityIFD(long offset, RepInfo info, java.io.RandomAccessFile raf, boolean bigEndian)` Instantiate an `InteroperabilityIFD` object.

Method Summary
`java.lang.String` | `getInteroperabilityIndex()` Get the InteroperabilityIndex tag (1).
`Property` | `getProperty(boolean rawOutput)` Get the IFD properties.
`void` | `lookupTag(int tag, int type, long count, long value)` Lookup an IFD tag.

Methods inherited from class edu.harvard.hul.ois.jhove.module.tiff.IFD
`addBitmaskProperty, addIntegerArrayProperty, addIntegerProperty, addIntegerProperty, addRationalArrayProperty, addRationalProperty, average, calcValueSize, checkCount, checkType, checkType, getErrors, getNext, getOffset, getVersion, isBigEndian, isFirst, isThumbnail, parse, parse, parse, postParseInitialization, propertyHeader, readASCII, readASCIIArray, readByte, readByteArray, readDoubleArray, readLong, readLongArray, readRational, readRationalArray, readShort, readShortArray, readSignedRational, readSignedRationalArray, readSShortArray, readTrueByteArray, readUnsigned, setFirst, setThumbnail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InteroperabilityIFD

    public InteroperabilityIFD(long offset,
                               RepInfo info,
                               java.io.RandomAccessFile raf,
                               boolean bigEndian)

  Instantiate an `InteroperabilityIFD` object.

  Parameters:
    `offset` - IFD offset
    `info` - the RepInfo object
    `raf` - TIFF file
    `bigEndian` - True if big-endian file

Method Detail

### getInteroperabilityIndex

    public java.lang.String getInteroperabilityIndex()

  Get the InteroperabilityIndex tag (1).

### getProperty

    public Property getProperty(boolean rawOutput)

  Get the IFD properties.

  Specified by:
    `getProperty` in class `IFD`

### lookupTag

    public void lookupTag(int tag,
                          int type,
                          long count,
                          long value)
                   throws TiffException

  Lookup an IFD tag.

  Specified by:
    `lookupTag` in class `IFD`
  Throws:
    `TiffException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD